Subject: Re: [Hipsec] Parameter space layout and significant change in wording

From: Robert Moskowitz <[email-masked]>
Date: Tue, 03 Aug 2010 11:17:49 -0400

On 07/29/2010 01:29 PM, Tobias Heer wrote:
> Hi!
>
> We were discussing the parameter space layout during the 5201-bis discussion session.
> The result was the following. I marked the changes with "!"
>
>    0     - 1023  Handshake
>    1024  - 2047  Reserved
> ! 2048  - 8191  Signed parameters allocated through specification documents*
> ! 8192  - 61439 Reserved
> ! 61440 - 62463 Signatures and (signed) MACs
> ! 62464 - 63487 Parameters that are neither signed nor MACed*
>    63488 - 64511 Rendezvous and relaying
> ! 64512 - 65023 Parameters that not signed*
> ! 65024 - 65535 Reserved
>    

I was involved in the discussion to set this up and am in agreement with 
the numbering scheme. I ask all authors that have HIP Parameters in 
their documents to PLEASE review this and make any adjustments needed 
going forward.

I will point ot that we are reving the version number. These HIP packets 
will be version 2.

I will be making any needed adjustments in 5201-bis along with Tobias, 
and changing HIP DEX.

> The rationale behind the changes was to have a non-BEX block and reserved blocks for future expansion in all vital spaces. The parts marked with * are the sub-spaces that are intended for extensions, etc. that do not strictly extend or modify the handshake. Any comments or objections?
>
>
> IMPORTANT:
> There is a slight change in wording to make creating HIP derivatives without signature less complex. I changed the "Signatures and MACs" to "Signatures and (signed) MACs" and "Parameters that are not signed" to "Parameters that are neither signed nor MACed". This will not change anything in the BEX (most importantly it will stay SIGMA compliant) but it avoids redefinition of parameters with different parameter numbers for DEX and other variants without signature capabilities. This is to allow a movement towards a "family" of interoperable HIP protocols. I would appreciate discussion and comments on this step on the list.
>
> BR,
>
> Tobias
>
>
>